<?php
/**
 *
 * DO NOT EDIT THIS FILE!
 *
 * Place your custom settings in a file config_override.php to make sure those settings do not get lost with an update.
 *
 *
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2013 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */


// no direct access
defined('_JEXEC') or die('Restricted access');


if (file_exists(JPATH_ROOT.'/components/com_eventgallery/config_override.php')) {
	require_once JPATH_ROOT.'/components/com_eventgallery/config_override.php';
}

// defines the path to the image source folder
if (!defined ('COM_EVENTGALLERY_IMAGE_FOLDER_PATH')) {
	define('COM_EVENTGALLERY_IMAGE_FOLDER_PATH', JPATH_ROOT . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'eventgallery' . DIRECTORY_SEPARATOR);
}

// defines the path to the image cache folder
if (!defined('COM_EVENTGALLERY_IMAGE_CACHE_PATH')) {
	define('COM_EVENTGALLERY_IMAGE_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_images' . DIRECTORY_SEPARATOR));
}

// defines the path to the picasa xml cache folder
if (!defined('COM_EVENTGALLERY_PICASA_CACHE_PATH')) {
	define('COM_EVENTGALLERY_PICASA_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_picasa' . DIRECTORY_SEPARATOR));
}

// defines the path to the flickr cache folder
if (!defined('COM_EVENTGALLERY_FLICKR_CACHE_PATH')) {
	define('COM_EVENTGALLERY_FLICKR_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_flickr' . DIRECTORY_SEPARATOR));
}

// defines the path to the xml cache folder
if (!defined('COM_EVENTGALLERY_GENERAL_CACHE_PATH')) {
	define('COM_EVENTGALLERY_GENERAL_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery' . DIRECTORY_SEPARATOR));
}

// maximum available image size
if (!defined('COM_EVENTGALLERY_IMAGE_ORIGINAL_MAX_WIDTH')) {
	define('COM_EVENTGALLERY_IMAGE_ORIGINAL_MAX_WIDTH', 1600);
}

// folder name for original images
if (!defined('COM_EVENTGALLERY_IMAGE_ORIGINAL_SUBFOLDER')) {
    define('COM_EVENTGALLERY_IMAGE_ORIGINAL_SUBFOLDER', 'originals');
}

// the content of the .htaccess file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_HTACCESS')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_HTACCESS', "order deny,allow\ndeny from all");
}

// the content of the web.config file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_WEB_CONFIG')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_WEB_CONFIG', "<?xml version=\"1.0\" encoding=\"utf-8\" ?>
<configuration>
    <system.web>
        <authorization>
            <deny users=\"*\"/>
        </authorization>
    </system.web>
</configuration>");
}

// the content of the index.html file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_INDEX_HTML')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_INDEX_HTML', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
}

